<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    newsletter
 */

/**
 * Hook class.
 */
class Hook_import_newsletter_subscribers
{
    /**
     * Standard importer hook info function.
     *
     * @return ?array Importer handling details (null: importer is disabled)
     */
    public function info() : ?array
    {
        if (!addon_installed('newsletter')) {
            return null;
        }

        $info = [];
        $info['product'] = 'Newsletter subscribers (spreadsheet files)';
        $info['hook_type'] = 'redirect';
        $info['import_module'] = 'admin_newsletter';
        $info['import_method_name'] = 'import_subscribers';
        return $info;
    }
}
