<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    shopping
 */

/**
 * Hook class.
 */
class Hook_members_shopping
{
    /**
     * Find member-related links to inject to details section of the about tab of the member profile.
     *
     * @param  MEMBER $member_id The ID of the member we are getting links for
     * @return array List of pairs: title to value
     */
    public function run(int $member_id) : array
    {
        if (!addon_installed('shopping')) {
            return [];
        }

        require_lang('shopping');

        $modules = [];

        if ($GLOBALS['SITE_DB']->query_select_value('shopping_orders', 'COUNT(*)', ['member_id' => $member_id]) != 0) {
            $modules[] = ['views', do_lang_tempcode('MY_ORDERS'), build_url(['page' => 'shopping', 'type' => 'my_orders', 'id' => $member_id], get_module_zone('shopping')), 'menu/rich_content/ecommerce/orders'];
        }

        return $modules;
    }
}
