<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    custom_comcode
 */

/**
 * Hook class.
 */
class Hook_actionlog_custom_comcode extends Hook_actionlog
{
    /**
     * Get details of action log entry types handled by this hook.
     *
     * @return array Map of handler data in standard format
     */
    public function get_handlers() : array
    {
        if (!addon_installed('custom_comcode')) {
            return [];
        }

        require_lang('custom_comcode');

        return [
            'ADD_CUSTOM_COMCODE_TAG' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => 'custom_comcode_tag',
                'identifier_index' => 0,
                'written_context_index' => 0,
                'followup_page_links' => [
                    'EDIT_THIS_CUSTOM_COMCODE_TAG' => '_SEARCH:admin_custom_comcode:_edit:{ID}',
                    'ADD_CUSTOM_COMCODE_TAG' => '_SEARCH:admin_custom_comcode:add',
                ],
            ],
            'EDIT_CUSTOM_COMCODE_TAG' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => 'custom_comcode_tag',
                'identifier_index' => 0,
                'written_context_index' => 0,
                'followup_page_links' => [
                    'EDIT_THIS_CUSTOM_COMCODE_TAG' => '_SEARCH:admin_custom_comcode:_edit:{ID}',
                    'ADD_CUSTOM_COMCODE_TAG' => '_SEARCH:admin_custom_comcode:add',
                ],
            ],
            'DELETE_CUSTOM_COMCODE_TAG' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => 'custom_comcode_tag',
                'identifier_index' => 0,
                'written_context_index' => 0,
                'followup_page_links' => [
                    'ADD_CUSTOM_COMCODE_TAG' => '_SEARCH:admin_custom_comcode:add',
                ],
            ],
        ];
    }
}
