<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    site_messaging
 */

/**
 * Hook class.
 */
class Hook_actionlog_site_messaging extends Hook_actionlog
{
    /**
     * Get details of action log entry types handled by this hook.
     *
     * @return array Map of handler data in standard format
     */
    public function get_handlers() : array
    {
        if (!addon_installed('site_messaging')) {
            return [];
        }

        require_lang('site_messaging');

        return [
            'ADD_SITE_MESSAGE' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => 'site_message',
                'identifier_index' => 0,
                'written_context_index' => 1,
                'followup_page_links' => [
                    'SITE_MESSAGING' => '_SEARCH:admin_site_messaging',
                    'EDIT_SITE_MESSAGE' => '_SEARCH:admin_site_messaging:_edit:{ID}',
                ],
            ],
            'EDIT_SITE_MESSAGE' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => 'site_message',
                'identifier_index' => 0,
                'written_context_index' => 1,
                'followup_page_links' => [
                    'SITE_MESSAGING' => '_SEARCH:admin_site_messaging',
                    'EDIT_SITE_MESSAGE' => '_SEARCH:admin_site_messaging:_edit:{ID}',
                ],
            ],
            'DELETE_SITE_MESSAGE' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => 'site_message',
                'identifier_index' => 0,
                'written_context_index' => 1,
                'followup_page_links' => [
                    'SITE_MESSAGING' => '_SEARCH:admin_site_messaging',
                ],
            ],
            'VALIDATE_SITE_MESSAGE' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => 'site_message',
                'identifier_index' => 0,
                'written_context_index' => 1,
                'followup_page_links' => [
                    'SITE_MESSAGING' => '_SEARCH:admin_site_messaging',
                    'EDIT_SITE_MESSAGE' => '_SEARCH:admin_site_messaging:_edit:{ID}',
                ],
            ],
        ];
    }
}
