<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    tickets
 */

/**
 * Hook class.
 */
class Hook_actionlog_tickets extends Hook_actionlog
{
    /**
     * Get details of action log entry types handled by this hook.
     *
     * @return array Map of handler data in standard format
     */
    public function get_handlers() : array
    {
        if (!addon_installed('tickets')) {
            return [];
        }

        require_lang('tickets');

        return [
            'ADD_TICKET_TYPE' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => 'ticket_type',
                'identifier_index' => 0,
                'written_context_index' => 1,
                'followup_page_links' => [
                    'EDIT_THIS_TICKET_TYPE' => '_SEARCH:admin_tickets:edit:ticket_type_id={ID}',
                    'ADD_TICKET_TYPE' => '_SEARCH:admin_tickets',
                ],
            ],
            'EDIT_TICKET_TYPE' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => 'ticket_type',
                'identifier_index' => 0,
                'written_context_index' => 1,
                'followup_page_links' => [
                    'EDIT_THIS_TICKET_TYPE' => '_SEARCH:admin_tickets:edit:ticket_type_id={ID}',
                    'ADD_TICKET_TYPE' => '_SEARCH:admin_tickets',
                ],
            ],
            'DELETE_TICKET_TYPE' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => 'ticket_type',
                'identifier_index' => 0,
                'written_context_index' => 1,
                'followup_page_links' => [
                    'ADD_TICKET_TYPE' => '_SEARCH:admin_tickets',
                ],
            ],
        ];
    }
}
