<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    wordfilter
 */

/**
 * Hook class.
 */
class Hook_actionlog_wordfilter extends Hook_actionlog
{
    /**
     * Get details of action log entry types handled by this hook.
     *
     * @return array Map of handler data in standard format
     */
    public function get_handlers() : array
    {
        if (!addon_installed('wordfilter')) {
            return [];
        }

        require_lang('wordfilter');

        return [
            'ADD_WORDFILTER' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => null,
                'identifier_index' => 0,
                'written_context_index' => 0,
                'followup_page_links' => [
                    'MANAGE_WORDFILTER' => '_SEARCH:admin_wordfilter',
                    'ADD_WORDFILTER' => '_SEARCH:admin_wordfilter:add',
                    'EDIT_WORDFILTER' => '_SEARCH:admin_wordfilter:_edit:{ID}',
                ],
            ],
            'EDIT_WORDFILTER' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => null,
                'identifier_index' => 0,
                'written_context_index' => 0,
                'followup_page_links' => [
                    'MANAGE_WORDFILTER' => '_SEARCH:admin_wordfilter',
                    'EDIT_WORDFILTER' => '_SEARCH:admin_wordfilter:_edit:{ID}',
                ],
            ],
            'DELETE_WORDFILTER' => [
                'flags' => ACTIONLOG_FLAGS_NONE,
                'cma_hook' => null,
                'identifier_index' => 0,
                'written_context_index' => 0,
                'followup_page_links' => [
                    'MANAGE_WORDFILTER' => '_SEARCH:admin_wordfilter',
                    'ADD_WORDFILTER' => '_SEARCH:admin_wordfilter:add',
                ],
            ],
        ];
    }
}
