<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    stats
 */

/**
 * Hook class.
 */
class Hook_cleanup_page_stats
{
    /**
     * Find details about this cleanup hook.
     *
     * @return ?array Map of cleanup hook info (null: hook is disabled)
     */
    public function info() : ?array
    {
        if (!addon_installed('stats')) {
            return null;
        }

        require_lang('stats');

        $info = [];
        $info['title'] = do_lang_tempcode('GATHERED_STATISTICS');
        $info['description'] = do_lang_tempcode('DESCRIPTION_GATHERED_STATISTICS');
        $info['type'] = 'other';

        return $info;
    }

    /**
     * Run the cleanup hook action.
     *
     * @return Tempcode Results
     */
    public function run() : object
    {
        $GLOBALS['SITE_DB']->query_delete('stats');
        $GLOBALS['SITE_DB']->query_delete('stats_preprocessed');
        $GLOBALS['SITE_DB']->query_delete('usersonline_track');
        $GLOBALS['SITE_DB']->query_delete('stats_events');

        return new Tempcode();
    }
}
