<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    core
 */

/**
 * Hook class.
 */
class Hook_cns_cpf_filter_options
{
    /**
     * Find which special CPFs to enable.
     *
     * @return array A list of CPFs to enable
     */
    public function to_enable() : array
    {
        $cpf = [];

        if (get_option('cpf_enable_name') == '1') {
            $cpf = array_merge($cpf, ['firstname' => true, 'lastname' => true]);
        }

        if (get_option('cpf_enable_street_address') == '1') {
            $cpf = array_merge($cpf, ['street_address' => true]);
        }

        if (get_option('cpf_enable_city') == '1') {
            $cpf = array_merge($cpf, ['city' => true]);
        }

        if (get_option('cpf_enable_county') == '1') {
            $cpf = array_merge($cpf, ['county' => true]);
        }

        if (get_option('cpf_enable_state') == '1') {
            $cpf = array_merge($cpf, ['state' => true]);
        }

        if (get_option('cpf_enable_post_code') == '1') {
            $cpf = array_merge($cpf, ['post_code' => true]);
        }

        if (get_option('cpf_enable_country') == '1') {
            $cpf = array_merge($cpf, ['country' => true]);
        }

        if (get_option('cpf_enable_phone') == '1') {
            $cpf = array_merge($cpf, ['mobile_phone_number' => true]);
        }

        return $cpf;
    }
}
