<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    core_themeing
 */

/**
 * Hook class.
 */
class Hook_config_enable_theme_img_buttons
{
    /**
     * Gets the details relating to the config option.
     *
     * @return array The details
     */
    public function get_details() : array
    {
        return [
            'human_name' => 'ENABLE_THEME_IMG_BUTTONS',
            'type' => 'tick',
            'category' => 'THEME',
            'group' => 'EMBEDDED_LINKS',
            'explanation' => 'CONFIG_OPTION_enable_theme_img_buttons',
            'shared_hosting_restricted' => '0',
            'list_options' => '',
            'theme_override' => true,
            'required' => true,
            'public' => true,
            'addon' => 'core_themeing',
        ];
    }

    /**
     * Gets the default value for the config option.
     *
     * @return ?string The default value (null: option is disabled)
     */
    public function get_default() : ?string
    {
        return '1';
    }
}
