<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    newsletter
 */

/**
 * Hook class.
 */
class Hook_config_newsletter_smtp_sockets_host
{
    /**
     * Gets the details relating to the config option.
     *
     * @return array The details
     */
    public function get_details() : array
    {
        return [
            'human_name' => 'HOST',
            'type' => 'line',
            'category' => 'MESSAGES',
            'group' => 'NEWSLETTER_SMTP',
            'explanation' => 'CONFIG_OPTION_smtp_sockets_host',
            'shared_hosting_restricted' => '1',
            'list_options' => '',
            'order_in_category_group' => 2,
            'required' => true,
            'public' => false,
            'addon' => 'newsletter',
        ];
    }

    /**
     * Gets the default value for the config option.
     *
     * @return ?string The default value (null: option is disabled)
     */
    public function get_default() : ?string
    {
        if (!addon_installed('newsletter')) {
            return null;
        }

        if (!php_function_allowed('fsockopen')) {
            return null;
        }
        return 'mail.yourispwhateveritis.net';
    }
}
