<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    core_configuration
 */

/**
 * Hook class.
 */
class Hook_config_remember_me_behaviour
{
    /**
     * Gets the details relating to the config option.
     *
     * @return array The details
     */
    public function get_details() : array
    {
        return [
            'human_name' => 'REMEMBER_ME_BEHAVIOUR',
            'type' => 'list',
            'category' => (get_forum_type() == 'cns') ? 'USERS' : 'FEATURE',
            'group' => '_LOGIN',
            'explanation' => 'CONFIG_OPTION_remember_me_behaviour',
            'shared_hosting_restricted' => '0',
            'list_options' => 'off|default_off|default_on|always_on',
            'required' => true,
            'public' => false,
            'addon' => 'core_configuration',
        ];
    }

    /**
     * Gets the default value for the config option.
     *
     * @return ?string The default value (null: option is disabled)
     */
    public function get_default() : ?string
    {
        return 'default_off';
    }
}
