<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    commandr
 */

/**
 * Hook class.
 */
class Hook_logs_commandr
{
    /**
     * Find supported logs.
     *
     * @return array List of logs
     */
    public function enumerate_logs() : array
    {
        if (!addon_installed('commandr')) {
            return [
            ];
        }

        return [
            'resource_fs.log' => ['days_to_keep' => (get_option('days_to_keep__resource_fs_log') == '') ? null : intval(get_option('days_to_keep__resource_fs_log'))],
        ];
    }
}
