<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    core_configuration
 */

/**
 * Hook class.
 */
class Hook_oauth_google_search_console
{
    /**
     * Standard information about an oAuth profile.
     *
     * @return array Map of oAuth details
     */
    public function info() : array
    {
        return [
            'label' => 'Google Search Console',
            'available' => true,
            'protocol' => 'oauth2',
            'options' => [
                'client_id' => 'google_apis_client_id',
                'client_secret' => 'google_apis_client_secret',
                'api_key' => 'google_apis_api_key',
            ],
            'saved_data' => [
                'refresh_token_key' => 'google_search_console_refresh_token',
            ],
            'refresh_token' => null,
            'endpoint' => 'https://accounts.google.com/o/oauth2',
            'scope' => 'https://www.googleapis.com/auth/webmasters.readonly',
        ];
    }
}
