<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    aggregate_types
 */

/**
 * Hook class.
 */
class Hook_page_groupings_aggregate_types
{
    /**
     * Run function for do_next_menu hooks. They find links to put on standard navigation menus of the system.
     *
     * @param  ?MEMBER $member_id Member ID to run as (null: current member)
     * @param  boolean $extensive_docs Whether to use extensive documentation tooltips, rather than short summaries
     * @return array List of tuple of links (page grouping, icon, do-next-style linking data), label, help (optional) and/or nulls
     */
    public function run(?int $member_id = null, bool $extensive_docs = false) : array
    {
        if (!addon_installed('aggregate_types')) {
            return [];
        }

        return [
            ['structure', 'menu/adminzone/structure/aggregate_types', ['admin_aggregate_types', ['type' => 'browse'], get_module_zone('admin_aggregate_types')], do_lang_tempcode('aggregate_types:AGGREGATE_TYPES'), 'aggregate_types:DOC_AGGREGATE_TYPES'],
        ];
    }
}
