<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    cns_forum
 */

/**
 * Hook class.
 */
class Hook_page_groupings_cns_forum
{
    /**
     * Run function for do_next_menu hooks. They find links to put on standard navigation menus of the system.
     *
     * @param  ?MEMBER $member_id Member ID to run as (null: current member)
     * @param  boolean $extensive_docs Whether to use extensive documentation tooltips, rather than short summaries
     * @return array List of tuple of links (page grouping, icon, do-next-style linking data), label, help (optional) and/or nulls
     */
    public function run(?int $member_id = null, bool $extensive_docs = false) : array
    {
        if (!addon_installed('cns_forum')) {
            return [];
        }

        return [
            (get_forum_type() != 'cns') ? null : ['structure', 'menu/social/forum/forums', ['admin_cns_forums', ['type' => 'browse'], get_module_zone('admin_cns_forums')], do_lang_tempcode('SECTION_FORUMS'), 'cns:DOC_FORUMS'],
            ['social', 'menu/social/forum/forums', ['forumview', [], get_module_zone('forumview', 'modules', null, 'php', false, true, 'forum')], do_lang_tempcode('SECTION_FORUMS')],
        ];
    }
}
