<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    custom_comcode
 */

/**
 * Hook class.
 */
class Hook_page_groupings_custom_comcode
{
    /**
     * Run function for do_next_menu hooks. They find links to put on standard navigation menus of the system.
     *
     * @param  ?MEMBER $member_id Member ID to run as (null: current member)
     * @param  boolean $extensive_docs Whether to use extensive documentation tooltips, rather than short summaries
     * @return array List of tuple of links (page grouping, icon, do-next-style linking data), label, help (optional) and/or nulls
     */
    public function run(?int $member_id = null, bool $extensive_docs = false) : array
    {
        if (!addon_installed('custom_comcode')) {
            return [];
        }

        return [
            ['setup', 'menu/adminzone/setup/custom_comcode', ['admin_custom_comcode', ['type' => 'browse'], get_module_zone('admin_custom_comcode')], do_lang_tempcode('ITEMS_HERE', do_lang_tempcode('custom_comcode:CUSTOM_COMCODE'), make_string_tempcode(escape_html(integer_format(intval($GLOBALS['SITE_DB']->query_select_value('custom_comcode', 'COUNT(*)')), 0)))), 'custom_comcode:DOC_CUSTOM_COMCODE'],
        ];
    }
}
