<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    captcha
 */

/**
 * Hook class.
 */
class Hook_privacy_captcha extends Hook_privacy_base
{
    /**
     * Find privacy details.
     *
     * @return ?array A map of privacy details in a standardised format (null: disabled)
     */
    public function info() : ?array
    {
        if (!addon_installed('captcha')) {
            return null;
        }

        require_lang('captcha');

        return [
            'label' => 'captcha:CAPTCHA',

            'description' => 'NA', // No actual personal database information for this hook

            'cookies' => [
            ],

            'positive' => [
            ],

            'general' => [
                (get_option('recaptcha_site_key') == '') ? null : [
                    'heading' => do_lang('INFORMATION_TRANSFER'),
                    'action' => do_lang_tempcode('PRIVACY_ACTION_recaptcha'),
                    'reason' => do_lang_tempcode('PRIVACY_REASON_recaptcha'),
                ],
            ],

            'database_records' => [
            ],
        ];
    }
}
