<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    downloads
 */

/**
 * Hook class.
 */
class Hook_reorganise_uploads_downloads
{
    /**
     * Run function for reorganise_uploads hooks.
     */
    public function run()
    {
        if (!addon_installed('downloads')) {
            return;
        }

        require_code('downloads2');
        require_code('tasks');
        require_lang('downloads');

        reorganise_uploads__download_categories([], true);

        $reorganise_uploads = reorganise_uploads__downloads([], true);
        foreach ($reorganise_uploads as $db_id => $new_url) {
            if (strpos($db_id, 'download_downloads:') !== 0) {
                continue;
            }

            $parts = explode(':', $db_id);
            $id = intval($parts[1]);

            $original_filename = $GLOBALS['SITE_DB']->query_select_value('download_downloads', 'original_filename', ['id' => $id]);

            call_user_func_array__long_task(do_lang('INDEX_DOWNLOAD'), null, 'index_download', [$id, $new_url, $original_filename], false, false, false);
        }
    }
}
