<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    core_cns
 */

/**
 * Hook class.
 */
class Hook_snippet_invite_missing
{
    /**
     * Run function for snippet hooks. Generates HTML to insert into a page using AJAX.
     *
     * @return Tempcode The snippet
     */
    public function run() : object
    {
        $val = get_param_string('name');

        $test = $GLOBALS['FORUM_DB']->query_select_value_if_there('f_invites', 'i_email_address', ['i_email_address' => $val, 'i_taken' => 0]);
        if ($test !== null) {
            return new Tempcode(); // All ok
        }

        // Some kind of issue...

        require_lang('cns');

        $test = $GLOBALS['FORUM_DB']->query_select_value_if_there('f_invites', 'i_email_address', ['i_email_address' => $val]);
        if ($test !== null) {
            return make_string_tempcode(strip_html(do_lang('INVITE_ALREADY_JOINED')));
        }

        return make_string_tempcode(strip_html(do_lang('NO_INVITE')));
    }
}
