<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    core_cns
 */

/**
 * Hook class.
 */
class Hook_snippet_password_strength
{
    /**
     * Run function for snippet hooks. Generates HTML to insert into a page using AJAX.
     *
     * @return Tempcode The snippet
     */
    public function run() : object
    {
        require_code('password_rules');

        $ret = [];
        $ret['strength'] = test_password(
            post_param_string('password', false, INPUT_FILTER_PASSWORD),
            post_param_string('username', '', INPUT_FILTER_POST_IDENTIFIER),
            post_param_string('email_address', '', INPUT_FILTER_POST_IDENTIFIER),
            post_param_date('birthday', true, false)
        );

        $ret['minStrength'] = intval(get_option('minimum_password_strength'));

        return make_string_tempcode(json_encode($ret));
    }
}
