<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    chat
 */

/**
 * Hook class.
 */
class Hook_startup_im
{
    /**
     * Run startup code.
     */
    public function run()
    {
        if (!addon_installed('chat')) {
            return;
        }

        // Initialise site-wide IM
        if ((get_option('sitewide_im', true) === '1') && (running_script('index')) /* i.e. not running script */ && (get_param_string('type', 'browse') != 'room')) {
            require_code('chat_lobby');
            enter_chat_lobby();
        }
    }
}
