<?php /*

 Composr
 Copyright (c) Christopher Graham, 2004-2024

 See docs/LICENSE.md for full licensing information.


 NOTE TO PROGRAMMERS:
   Do not edit this file. If you need to make changes, save your changed file to the appropriate *_custom folder
   **** If you ignore this advice, then your website upgrades (e.g. for bug fixes) will likely kill your changes ****

*/

/**
 * @license    http://opensource.org/licenses/cpal_1.0 Common Public Attribution License
 * @copyright  Christopher Graham
 * @package    stats
 */

/**
 * Hook class.
 */
class Hook_symbol_STATS_TRACK_URL
{
    /**
     * Run function for symbol hooks. Searches for tasks to perform.
     *
     * @param  array $param Symbol parameters
     * @return string Result
     */
    public function run(array $param) : string
    {
        if (!addon_installed('stats')) {
            return '';
        }

        $value = '';
        if (array_key_exists(0, $param)) {
            $keep = symbol_tempcode('KEEP');
            $url = find_script('tracked_redirect') . '?url=' . urlencode($param[0]);
            if (array_key_exists(1, $param)) {
                $url .= '&event=' . urlencode($param[1]);
            }
            require_code('crypt');
            $url .= '&hash=' . urlencode(ratchet_hash($param[0], get_site_salt()));
            $url .= $keep->evaluate();
            $value = $url;
        }
        return $value;
    }
}
